Bug 125776 - System hard crash caused by aic7xxx
System hard crash caused by aic7xxx
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-11 08:08 EDT by Alar Suija
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:59:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages related entries etc (7.20 KB, text/plain)
2004-06-11 08:10 EDT, Alar Suija
no flags Details

  None (edit)
Description Alar Suija 2004-06-11 08:08:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
My system-
PII 350, 256 MB RAM, mostly IDE, but using Adaptec SCSI2 adapter
2906(?) for scanner (Epson GT-7000) and internal HP CD Writer 9200+

Setup works perfect with Fedora Core 1 and *after boot* if using FC2.

But some time later (probably when scanner going to standby- circa
after 2-3 hours) every access to SCSI subsystem ends with hard crash.
(inserting flash disk or USB external HD or mounting CDROM using SCSI
device or start SANE etc etc) 

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1. Start up system
2. wait :)
3. access to SCSI subsystem
    

Actual Results:  After 20 .. 30 second system freezes. using dmesg i
can see kernel emergency messages (and syslog works too)

Expected Results:  All works OK.

Additional info:

[al@riffle al]$ cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 02 Lun: 00
  Vendor: HP       Model: CD-Writer+ 9200  Rev: 1.0e
  Type:   CD-ROM                           ANSI SCSI revision: 04
Host: scsi0 Channel: 00 Id: 04 Lun: 00
  Vendor: EPSON    Model: SCANNER GT-7000  Rev: 1.09
  Type:   Processor                        ANSI SCSI revision: 02
Comment 1 Alar Suija 2004-06-11 08:10:19 EDT
Created attachment 101059 [details]
/var/log/messages related entries etc
Comment 2 Alar Suija 2004-06-11 08:15:55 EDT
... and found something more (happens before crash)

Jun 10 17:41:13 riffle kernel: irq 11: nobody cared! (screaming
interrupt?)
Jun 10 17:41:13 riffle kernel: Call Trace:
Jun 10 17:41:13 riffle kernel:  [<021070c9>] __report_bad_irq+0x2b/0x67
Jun 10 17:41:13 riffle kernel:  [<02107161>] note_interrupt+0x43/0x66
Jun 10 17:41:13 riffle kernel:  [<02107327>] do_IRQ+0x109/0x169
Jun 10 17:41:13 riffle kernel:  [<0211af64>] __do_softirq+0x2c/0x73
Jun 10 17:41:13 riffle kernel:  [<021078f5>] do_softirq+0x46/0x4d
Jun 10 17:41:13 riffle kernel:  =======================
Jun 10 17:41:13 riffle kernel:  [<0210737b>] do_IRQ+0x15d/0x169
Jun 10 17:41:13 riffle kernel:
Jun 10 17:41:13 riffle kernel: handlers:
Jun 10 17:41:13 riffle kernel: [<12896898>] (ahc_linux_isr+0x0/0x1ec
[aic7xxx])
Jun 10 17:41:13 riffle kernel: Disabling IRQ #11
Comment 3 Dave Jones 2005-04-16 00:59:02 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.